rte_ml_dev_info(3)

NAME
rte_ml_dev_info

SYNOPSIS

#include <rte_mldev.h>

  Data Fields

const char * driver_name
uint16_t max_models
uint16_t max_queue_pairs
uint16_t max_desc
uint16_t max_io
uint16_t max_segments
uint16_t align_size

Detailed Description

ML device information

Definition at line 217 of file rte_mldev.h.

Field Documentation

  const char* driver_name
Driver name

Definition at line 218 of file rte_mldev.h.

  uint16_t max_models
Maximum number of models supported by the device.

See also
    struct rte_ml_dev_config::nb_models

Definition at line 220 of file rte_mldev.h.

  uint16_t max_queue_pairs
Maximum number of queues pairs supported by the device.

See also
    struct rte_ml_dev_config::nb_queue_pairs

Definition at line 224 of file rte_mldev.h.

  uint16_t max_desc
Maximum allowed number of descriptors for queue pair by the device.

See also
    struct rte_ml_dev_qp_conf::nb_desc

Definition at line 228 of file rte_mldev.h.

  uint16_t max_io
Maximum number of inputs/outputs supported per model.

Definition at line 232 of file rte_mldev.h.

  uint16_t max_segments
Maximum number of scatter-gather entries supported by the device.

See also
    struct rte_ml_buff_seg struct rte_ml_buff_seg::next

Definition at line 234 of file rte_mldev.h.

  uint16_t align_size
Alignment size of IO buffers used by the device.

Definition at line 238 of file rte_mldev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.